#
# spec file for "25 oeuvres" encyclopedia
# (c) 2004 IMC
#

# Basic macros
%define volume    25oeuvres
%define volumeid  25Oeuvres
%define volumedir enclitt/Volumes/%volumeid
%define name      enclitt-%volume
%define version   1.0.0
%define release   5mdk
%define title     25 œuvres de la littérature
%define abstract  25 œuvres encyclopedia

# Standard EduPack menu-file macros
%define m_teacher  00. Poste de travail de l'enseignant
%define m_mat_soft 10. Maternelle : Logiciels
%define m_mat_ps   11. Maternelle : Ressources PS
%define m_mat_ms   12. Maternelle : Ressources MS
%define m_mat_gs   13. Maternelle : Ressources GS
%define m_pri_soft 20. École primaire : Logiciels
%define m_pri_cp   21. École primaire : Ressources CP
%define m_pri_ce1  22. École primaire : Ressources CE1
%define m_pri_ce2  23. École primaire : Ressources CE2
%define m_pri_cm1  24. École primaire : Ressources CM1
%define m_pri_cm2  25. École primaire : Ressources CM2
%define m_col_soft 30. Collège : Logiciels
%define m_col_6    31. Collège : Ressources 6e
%define m_col_5    32. Collège : Ressources 5e
%define m_col_4    33. Collège : Ressources 4e
%define m_col_3    34. Collège : Ressources 3e
%define m_lyc_soft 40. Lycée : Logiciels
%define m_lyc_2    41. Lycée : Ressources Seconde
%define m_lyc_1    42. Lycée : Ressources Première
%define m_lyc_T    43. Lycée : Ressources Terminale
%define m_mmedia   Multimédia
%define m_office   Bureautique
%define m_organize Organisation
%define m_sciences Sciences
%define m_web_use  Internet : Utilisation
%define m_web_cre  Internet : Création
%define m_M        Mathématiques
%define m_MS       Mathématiques série S
%define m_ME       Mathématiques série ES
%define m_ML       Mathématiques série L
%define m_F        Français
%define m_P        Physique
%define m_C        Chimie
%define m_PC       Physique - Chimie
%define m_T        S.V.T.
%define m_W        Enseignement scientifique
%define m_H        Histoire
%define m_G        Géographie
%define m_I        Philosophie
%define m_E        Éducation civique
%define m_D        Découverte du monde
%define m_SE       S.E.S.
%define m_A        Anglais
%define m_AL       Allemand
%define m_ES       Espagnol
%define m_edupack  PACKS Éducatifs libres


Name:            %name
Summary:         %abstract
Version:         %version
Release:         %release
License:         GFDL
Group:           Education
URL:             http://www.ruedesecoles.com/EduPack
Buildarch:       noarch
BuildRoot:       %{_tmppath}/%{name}-buildroot
Requires:        enclitt 

Source0:         http://www.ruedesecoles.com/EduPack/%name-%version.tar.bz2

%description
25 oeuvres encyclopedia for enclitt package.

%prep

%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/%volumedir
cp -r %volumeid/*  %buildroot/%_datadir/%volumedir/
chmod -R a+rX %buildroot/%_datadir/%volumedir/

# Menu icons
install -D -m 644 Icons/%{volume}48.png %buildroot/%_liconsdir/%name.png
install -D -m 644 Icons/%{volume}32.png %buildroot/%_iconsdir/%name.png
install -D -m 644 Icons/%{volume}16.png %buildroot/%_miconsdir/%name.png

# Menu entries
mkdir -p %buildroot/%_menudir/simplified
cat > %buildroot/%_menudir/%name << EOF
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="More applications/Education/Literature" \
title="%title" longtitle="%abstract"

?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_col_6/%m_F" title="%title"
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_col_5/%m_F" title="%title"
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_col_4/%m_F" title="%title"
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_col_3/%m_F" title="%title"

?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_lyc_2/%m_F" title="%title"
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_lyc_1/%m_F" title="%title"
EOF

cat > %buildroot/%_menudir/simplified/%name << EOF
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_col_6/%m_F" title="%title"
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_col_5/%m_F" title="%title"
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_col_4/%m_F" title="%title"
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_col_3/%m_F" title="%title"

?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_lyc_2/%m_F" title="%title"
?package(%name): command="%_bindir/enclitt %volumeid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_lyc_1/%m_F" title="%title"
EOF



%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%dir %_datadir/%volumedir
%_datadir/%volumedir/*
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/*.png
%_menudir/%name
%_menudir/simplified/%name

%changelog
* Fri Apr 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-5mdk
- fix requires

* Fri Apr 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-4mdk
- add simplified menu

* Sun Apr 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-3mdk
- owns volumedir

* Thu Mar 30 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 1.0.0-2mdk
- œ replace oe

* Thu Mar 30 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 1.0.0-1mdk
- initial release
